public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/addressable/
Date: Thu, 30 Mar 2017 06:08:21 +0000 (UTC)	[thread overview]
Message-ID: <1490854074.79cb0eb2b4a149c880ab0fd9b423fedbb89a5a4a.graaff@gentoo> (raw)

commit:     79cb0eb2b4a149c880ab0fd9b423fedbb89a5a4a
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 30 06:07:54 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Mar 30 06:07:54 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79cb0eb2

dev-ruby/addressable: add 2.5.1

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-ruby/addressable/Manifest                 |  1 +
 dev-ruby/addressable/addressable-2.5.1.ebuild | 45 +++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-ruby/addressable/Manifest b/dev-ruby/addressable/Manifest
index 89dc1ce4a2a..968f0eb4dac 100644
--- a/dev-ruby/addressable/Manifest
+++ b/dev-ruby/addressable/Manifest
@@ -1,3 +1,4 @@
 DIST addressable-2.3.6.gem 98304 SHA256 e822c28133d151d450778bbcf1f6e7742d4c3aba54498eb0da33d80a3990ee8c SHA512 26a2d754397a5e46bc22ea9755d1c1a1b9f993e38fcf9b0a6133ea6d0aa7bdc0fe6bfe83bc39991e3b258fa3122e44bbd0b0758026be02af2a70ffef96d0dfa4 WHIRLPOOL 19ef0436df04172ca5dd9811d75616e069871476df879c10bc711e9db084636ca6edebed7500707d9409d6bd9041ece431609a7e4b2e42121a7cce6989bf5964
 DIST addressable-2.4.0.gem 102400 SHA256 7abfff765571b0a73549c9a9d2f7e143979cd0c252f7fa4c81e7102a973ef656 SHA512 b81fa48e7c4188827c03ac93960b6fd6fb9f5a438f5243cddea39d6820ef756ee7c0086ec330dc4a3538008b3b254757af7d30248624127649cc006a2793eda8 WHIRLPOOL 6f245a158eb13b69add13a024421e88c8b4b5344f11b74bd95d9967fb265889e0123c63c041660d74994d08bcc18c345a34e91c45b20aef40ee5cbc5abfd80b7
 DIST addressable-2.5.0.gem 103424 SHA256 bc5bf921b39640675fbb3484cdb45e4241b4c88d8d5a7d85a3985424ad02b9c8 SHA512 188689b99b4d83756844592ad697e8e20d27540e5c6bc758934f75592adddf7ef98ca5c9ad0d407d3dda9298496c18a661eda8a52776128ff089fd4f315fdbe1 WHIRLPOOL 1128dbcc7cb2ef290e329b0fb0d6cf8786ec1d0de104230d4642fb34b2b1a5c4d7ae1abc8b83aa4c81135a5725489aa4c3b1393ea7325207acceb63c35b1806d
+DIST addressable-2.5.1.gem 103424 SHA256 b09603b313a94fa3674d8fbaae77cc7c778e9d3cde5fea3b7c1fe447941818c5 SHA512 ae7232dc6cbd1aa6405135c7916697a93286fcb223b14e2c30b5897aed6fe32529c94bfb84154e0cead5af9a282cc89442cbd3249b68abd7ffd67b6c4599bff3 WHIRLPOOL aeebce579a1f2dacd8672224a0c39e1ea4c9c26e1d5ef4aa3f84726df94b1f305e6cd4ad3569dd602997ccc9ad225a69c59e2f519a34d5856ba13fa20a818b21

diff --git a/dev-ruby/addressable/addressable-2.5.1.ebuild b/dev-ruby/addressable/addressable-2.5.1.ebuild
new file mode 100644
index 00000000000..1c8822ee691
--- /dev/null
+++ b/dev-ruby/addressable/addressable-2.5.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC="doc:yard"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RAKE_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A replacement for the URI implementation that is part of Ruby's standard library"
+HOMEPAGE="https://rubygems.org/gems/addressable https://github.com/sporkmonger/addressable"
+
+LICENSE="Apache-2.0"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="doc test"
+
+ruby_add_rdepend ">=dev-ruby/public_suffix-2.0.2:2"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )"
+ruby_add_bdepend "test? ( dev-ruby/rspec-its )"
+
+all_ruby_prepare() {
+	# Remove spec-related tasks so that we don't need to require rspec
+	# just to build the documentation, bug 383611.
+	sed -i -e '/spectask/d' Rakefile || die
+	rm -f tasks/rspec.rake || die
+	sed -i -e '/bundler/ s:^:#:' \
+		-e '/^begin/,/^end/ s:^:#:' \
+		spec/spec_helper.rb || die
+
+	# Remove specs requiring network connectivity
+	rm -f spec/addressable/net_http_compat_spec.rb || die
+
+	# Remove spec that tests against an unreleased github fork
+	rm -f spec/addressable/rack_mount_compat_spec.rb || die
+}


             reply	other threads:[~2017-03-30  6:08 UTC|newest]

Thread overview: 78+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-03-30  6:08 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06 18:39 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/addressable/ Arthur Zamarin
2024-10-06 11:52 Sam James
2024-10-06 11:52 Sam James
2024-09-11 15:04 Arthur Zamarin
2024-08-05  6:19 Hans de Graaff
2024-07-13  6:10 Hans de Graaff
2024-07-12  6:21 Ionen Wolkens
2024-07-02  3:56 Ionen Wolkens
2024-06-24  5:30 Hans de Graaff
2024-06-08 11:12 Arthur Zamarin
2024-01-14  8:30 Hans de Graaff
2023-12-10  8:05 Hans de Graaff
2023-12-10  8:05 Hans de Graaff
2023-12-05 18:25 Ionen Wolkens
2023-08-04  6:12 Hans de Graaff
2023-08-02 21:06 Sam James
2023-04-11  6:07 Hans de Graaff
2023-04-07  5:53 Hans de Graaff
2023-04-02  6:47 Hans de Graaff
2023-03-28 18:51 Sam James
2023-03-28 16:19 Sam James
2023-03-28 16:10 Sam James
2023-03-28 16:07 Sam James
2023-03-28 16:07 Sam James
2023-03-28 16:04 Sam James
2023-03-18  0:02 Sam James
2023-01-10  6:40 Hans de Graaff
2022-08-20  7:03 Hans de Graaff
2022-06-28 16:59 Arthur Zamarin
2022-06-28 16:47 Arthur Zamarin
2022-05-08 15:00 WANG Xuerui
2022-04-27  4:34 Arthur Zamarin
2022-04-26 13:45 Sam James
2022-04-02  8:57 Hans de Graaff
2022-04-01  5:15 Arthur Zamarin
2021-08-11 14:29 Marek Szuba
2021-07-13  9:21 Hans de Graaff
2021-07-13  6:34 Agostino Sarubbo
2021-07-09  6:26 Agostino Sarubbo
2021-07-06 19:47 Hans de Graaff
2021-04-04  6:53 Hans de Graaff
2020-08-23  6:24 Hans de Graaff
2020-04-19 12:22 Sergei Trofimovich
2020-04-19 12:22 Sergei Trofimovich
2020-04-19 12:22 Sergei Trofimovich
2020-04-18  7:50 Hans de Graaff
2020-04-18  5:44 Hans de Graaff
2020-02-01  9:05 Naohiro Aota
2019-09-02 13:24 Agostino Sarubbo
2019-09-02 10:15 Agostino Sarubbo
2019-08-31  5:37 Hans de Graaff
2019-01-18  8:23 Hans de Graaff
2019-01-10 13:05 Hans de Graaff
2018-06-18  5:18 Hans de Graaff
2018-06-06 23:49 Thomas Deutschmann
2018-05-24 14:31 Agostino Sarubbo
2018-04-29 17:09 Hans de Graaff
2018-04-28  7:09 Hans de Graaff
2017-08-25  6:09 Hans de Graaff
2017-05-17  4:59 Hans de Graaff
2017-05-16  8:01 Agostino Sarubbo
2017-05-15 14:17 Agostino Sarubbo
2017-05-14  6:20 Hans de Graaff
2017-05-07  9:44 Hans de Graaff
2017-04-28  7:11 Hans de Graaff
2017-04-05 22:03 Michael Weber
2017-04-05 21:00 Michael Weber
2017-03-30  6:08 Hans de Graaff
2017-02-20 17:56 Markus Meier
2017-01-29  8:49 Hans de Graaff
2016-12-15  5:37 Hans de Graaff
2016-10-17  2:21 Richard Farina
2016-07-06  7:04 Hans de Graaff
2016-06-13  4:37 Richard Farina
2016-04-19 21:54 Manuel Rüger
2015-12-07  6:51 Hans de Graaff
2015-12-07  6:51 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1490854074.79cb0eb2b4a149c880ab0fd9b423fedbb89a5a4a.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox